Bug 1129922 - RFE: Adding translator's comments to strings
Summary: RFE: Adding translator's comments to strings
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Luke Brooker
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 01:55 UTC by Hedda Peters
Modified: 2016-04-18 09:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-11 04:56:39 UTC


Attachments (Terms of Use)

Description Hedda Peters 2014-08-14 01:55:08 UTC
As a translator, I would like to be able to add a comment to a string. This comment should persist across copy-trans operations and such.

Use case:
When translating software UI it is occasionally necessary to make compromises, e.g. shortening a translation because otherwise it won't fit on a button. By the time the next iteration rolls around I will have forgotten whether or not this particular translation is a necessary compromise or just a bad translation. If I could look up the previous translator's comment I could avoid changing a translation for the worse.

Comment 3 Michelle Kim 2015-06-11 04:37:18 UTC
Hi Hedda,

I am about to create new RFE for adding comments to Source strings and I found this RFE that you have created in the past. It seems this RFE only covers the commenting to the translation string (Target) and the feature is already available in current Zanata via History button.

So Can we close this ticket as the feature is already implemented unless you have other requirements? I can open new bug for the source comments to track our work and comment notification.

Thanks,
Michelle

Comment 4 Hedda Peters 2015-06-11 04:43:36 UTC
Yes, my original request has already been implemented. :-)
Feel free to close this BZ.

Comment 5 Michelle Kim 2015-06-11 04:56:39 UTC
Thanks Hedda. Closing this bug since we already have this feature implemented.


Note You need to log in before you can comment on or make changes to this bug.